apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: alloy
  namespace: argocd
  labels:
    env: dev
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
  destination:
    name: in-cluster
    namespace: monitoring
  sources:
    - repoURL: https://github.com/grafana/alloy.git
      path: operations/helm/charts/alloy   
      targetRevision: HEAD      
      helm:
        valueFiles:
          - $values/stacks/monitoring/alloy/values.yaml
    - repoURL: https://gitea.factory.c-one-infra.de/giteaAdmin/edfbuilder
      targetRevision: HEAD
      ref: values